Skip to content

Update consents

Request

Update the consents

Security
oauth2(Required scopes: consent:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

Query
caseIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-only

Optional case ID to be recorded with the change.

Bodyapplication/jsonrequired
Array [
namestringrequired

Represents special consents or permissions. Consents are typically given in writing to a lender.

  • electronicComms - Set to revoked if the borrower hasn't consented or has revoked consent to electronic communications. Default: consented

  • contactPersonWork - A borrower or their attorney gave a written consent to contact borrower's employer for debt collection. Default: revoked

  • contactPersonRepByAttorney - Indicates whether a lender is allowed to contact a borrower represented by an attorney. If the attorney gave a written consent to interact with the borrower, set to consented. Default: revoked

  • contactPersonUnusualTime - A person or their attorney gave written consent to interact with the person at some unusual place or time. Default: revoked

  • autodialedColl - Consent to receive autodialed or pre-recorded collection calls from creditors or third-party collectors. If no value is provided, we will assume autodialedColl is consented. For more information read Telephone Consumer Protection Act (TCPA). Default: consented

  • executeWageAssignment - Set to consented if the person consented to execute a wage assignment agreement. Default: revoked

  • contactServicememberUnitOrCommander - Consent to contact a servicemember's military unit or chain of command to collect on a debt. Default: revoked.

Enum:"electronicComms""contactPersonWork""contactPersonRepByAttorney""contactPersonUnusualTime""autodialedColl""executeWageAssignment""contactServicememberUnitCollDebt"
valuestringrequired

Consent can be granted and revoked by a borrower.

Enum:"consented""revoked"
]
PUT
/people/{personId}/consents
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/consents?caseId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "name": "electronicComms",
      "value": "consented"
    }
  ]'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(Consents)
Response
{ "count": 0, "status": 0, "data": [ {} ] }